#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll n; cin >> n;

    pair<double, ll> f[n];
    for (int i = 0; i < n; ++i) {
        ll ai; double pi;
        cin >> ai >> pi;
        f[i].first = pi;
        f[i].second = ai;
    }

    sort(f, f+n);

    double porez = f[0].first;
    double res = f[0].second*(porez/100);

    for (int i = 1; i < n; ++i) {
        double resNovi = 0;
        double resIsti = 0;

        resNovi = f[i].second*(f[i].first/100);
        resIsti = res + f[i].second*(porez/100);

        if (resNovi > resIsti) {
            res = resNovi; porez = f[i].first;
        } else {
            res += f[i].second*(porez/100);
        }
    }

    printf("%f", res);


    return 0;
}